Bug 827883 - [ovirt-engine-backend] Can not run VM that was created from template
[ovirt-engine-backend] Can not run VM that was created from template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity unspecified
: ---
: 3.1.0
Assigned To: Eli Mesika
vvyazmin@redhat.com
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 09:11 EDT by Kiril Nesenko
Modified: 2016-02-10 14:40 EST (History)
14 users (show)

See Also:
Fixed In Version: si7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2012-06-03 09:11:29 EDT
Description of problem:
Can not run VM that was created from template

2012-06-03 15:02:03,873 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (pool-10-thread-44) ------- FINISH, IsVmDuringInitiatingVDSCommand, return: false, log id: 541dcd4c
2012-06-03 15:02:03,877 WARN  [org.ovirt.engine.core.bll.RunVmCommand] (pool-10-thread-44) ------- CanDoAction of action RunVm failed. Reasons:VAR__ACTION__RUN,VAR__TYPE__VM,VAR__ACTION__RUN,VAR__TYPE__VM,VAR__ACTION__RUN,VAR__TYPE__VM,VAR__ACTION__RUN,VAR__TYPE__VM,ACTION_TYPE_FAILED_VDS_VM_CLUSTER


Thread-262758::ERROR::2012-06-03 15:01:46,742::vm::604::vm.Vm::(_startUnderlyingVm) vmId=`555abc68-44d1-4024-a1aa-1d7d83ded6f1`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 570, in _startUnderlyingVm
  File "/usr/share/vdsm/libvirtvm.py", line 1352, in _run
    self._connection.createXML(domxml, flags),
  File "/usr/lib/python2.6/site-packages/vdsm/libvirtconnection.py", line 82, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2490, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: XML error: Attempted double use of PCI Address '0:0:2.0'
Thread-262762::DEBUG::2012-06-03 15:01:49,894::BindingXMLRPC::164::vds::(wrapper) [10.35.17.12]


Version-Release number of selected component (if applicable):
si5

How reproducible:
Always

Steps to Reproduce:
1. Create tempate. Export the template and import it 
2. Create a vm form template and try to run it
3.
  
Actual results:
can not run vm

Expected results:


Additional info:
Comment 1 Kiril Nesenko 2012-06-06 04:19:52 EDT
Correction to steps to reproduce:

1. Create tempate. Export the template and import it (without removing the template from the data storage domain).  
2. Create a vm from template and try to run it.
Comment 4 Eli Mesika 2012-06-13 16:46:05 EDT
http://gerrit.ovirt.org/#/c/5332/
Comment 5 vvyazmin@redhat.com 2012-07-10 07:04:55 EDT
Verified on RHEVM 3.1 - SI9.1 

RHEV-M: rhevm-3.1.0-5.el6ev.noarch
VDSM: vdsm-4.9.6-17.0.el6.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMV & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.